Subject: [bug#37043] [PATCH] gnu: font-ibm-plex: Update to 2.0.0.

From: Alva <[email-masked]>
Date: Fri, 16 Aug 2019 16:36:13 +0200

> Are you saying that your ‘guix build font-ibm-plex’ output 
> contain something else, something worse?  Maybe it only happens on 
> certain (file) systems depending on the order in which directory 
> entries are read.

Sorry, I have not yet familiarised myself with the build system(s), so I didn't
consider the possibility that the installed files could differ between systems,
hence the lacking description of the issue.

Yes, my output is different; it contains a number of files that have the
same names as yours, except prefixed with "._", which file(1) identifies as
AppleDouble encoded Macintosh files, and LICENSE.txt is missing.
These files come from the aforementioned __MACOSX directory in the 1.0.1 zip.
I'm using btrfs, FWIW.

> I wonder whether making 
> %license-file-regexp in (guix build gnu-build-system) would have 
> any unintended consequences.  I don't immediately see any.

I can try it and see. :)